CVE-2000-0365
CVSS4.6
发布时间 :1999-06-01 00:00:00
修订时间 :2016-10-17 22:06:53
NMCOS    

[原文]Red Hat Linux 6.0 installs the /dev/pts file system with insecure modes, which allows local users to write to other tty devices.


[CNNVD]RedHat Linux /dev/pts 文件系统权限漏洞(CNNVD-199906-004)

        Red Hat Linux 6.0 安装不安全模式的/dev/pts文件系统时存在漏洞。本地用户利用该漏洞写入到其他终端设备。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0365
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0365
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199906-004
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=92877527701347&w=2
(UNKNOWN)  BUGTRAQ  19990606 RedHat 6.0, /dev/pts permissions bug when using xterm
http://marc.info/?l=bugtraq&m=92886009012161&w=2
(UNKNOWN)  BUGTRAQ  19990606 RedHat 6.0, /dev/pts permissions bug when using xterm
http://www.redhat.com/corp/support/errata/RHSA1999014_01.html
(UNKNOWN)  REDHAT  RHSA1999014_01
http://www.securityfocus.com/bid/308
(UNKNOWN)  BID  308

- 漏洞信息

RedHat Linux /dev/pts 文件系统权限漏洞
中危 配置错误
1999-06-01 00:00:00 2005-10-20 00:00:00
本地  
        Red Hat Linux 6.0 安装不安全模式的/dev/pts文件系统时存在漏洞。本地用户利用该漏洞写入到其他终端设备。
        

- 公告与补丁

        Upgrade to the following RPMs supplied by RedHat:
        Intel: ftp://updates.redhat.com/6.0/i386/dev-2.7.7-2.i386.rpm
        Alpha: ftp://updates.redhat.com/6.0/alpha/dev-2.7.7-2.alpha.rpm
        Sparc: ftp://updates.redhat.com/6.0/sparc/dev-2.7.7-2.sparc.rpm
        You will need to manually unmount the /dev/pts filesystem before the upgrade and remount it after it.

- 漏洞信息

13662
Red Hat Linux /dev/pts Insecure Permission Arbitrary tty Write

- 漏洞描述

Unknown or Incomplete

- 时间线

1999-06-06 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

RedHat Linux /dev/pts Filesystem Permission Vulnerability
Configuration Error 308
No Yes
1999-06-06 12:00:00 2009-07-11 12:16:00
The vulnerability was published in the BUGTRAQ mailing list by noc-wage <wage@idirect.ca>.

- 受影响的程序版本

RedHat Linux 6.0

- 漏洞讨论

The /dev/pts filesystem is a virtual pseudo terminal filesystem that supports for Unix98 PTYs. The default permission on pseudo terminal created in this file system by default as defined by the /etc/fstab file are to broad. They allow malicious local users to write to other users terminal possibly flooding them, or sending dangerous escape sequences that may be able to reprogram a terminal emulation program.

By default /dev/pts is mounted with the options "mode=0622". This should be instead "mode=0620,gid=5" or "mode=0600,gid=5".

This is RedHat Bug ID 3025.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Upgrade to the following RPMs supplied by RedHat:

Intel: ftp://updates.redhat.com/6.0/i386/dev-2.7.7-2.i386.rpm
Alpha: ftp://updates.redhat.com/6.0/alpha/dev-2.7.7-2.alpha.rpm
Sparc: ftp://updates.redhat.com/6.0/sparc/dev-2.7.7-2.sparc.rpm

You will need to manually unmount the /dev/pts filesystem before the upgrade and remount it after it.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站